net.sf.statsvn.util

## Class JavaUtilTaskLogger

- java.lang.Object
- - net.sf.statsvn.util.JavaUtilTaskLogger

All Implemented Interfaces:
  TaskLogger

    public class JavaUtilTaskLogger
    extends java.lang.Object
    implements TaskLogger

Basic implementation to net.sf.statcvs logger.

Version:
  $Revision: 187 $
Author:
  Benoit Xhenseval

### Constructor Summary

Constructors
Constructor and Description
`JavaUtilTaskLogger()`

### Method Summary

Methods
`void` `error(java.lang.String arg)` log text to the logger.severe().
`void` `info(java.lang.String arg)` log text to the logger.info().
`void` `log(java.lang.String text)` log text to the logger.fine().

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaUtilTaskLogger

    public JavaUtilTaskLogger()

### Method Detail

#### log

    public final void log(java.lang.String text)

log text to the logger.fine().

Specified by:
  `log` in interface `TaskLogger`
Parameters:
  `text` - the text to log.

#### error

    public void error(java.lang.String arg)

log text to the logger.severe().

Specified by:
  `error` in interface `TaskLogger`
Parameters:
  `text` - the text to log.

#### info

    public void info(java.lang.String arg)

log text to the logger.info().

Specified by:
  `info` in interface `TaskLogger`
Parameters:
  `text` - the text to log.